Bug 531605 - Review Request: packmol - Packing Optimization for Molecular Dynamics Simulations
Summary: Review Request: packmol - Packing Optimization for Molecular Dynamics Simulat...
Keywords:
Status: CLOSED DUPLICATE of bug 741626
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: NotReady
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-28 21:04 UTC by Fabien Archambault
Modified: 2011-12-21 20:09 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-27 13:13:38 UTC
Type: ---


Attachments (Terms of Use)

Description Fabien Archambault 2009-10-28 21:04:35 UTC
Spec URL: ftp://dedimarbo.ath.cx/pub/repo/specs/packmol.spec
SRPM URL: ftp://dedimarbo.ath.cx/pub/repo/srpms/packmol-0-0.1.02Sep09.fc11.src.rpm
Description: Packmol creates an initial point for molecular dynamics simulations by packing
molecules in defined regions of space. The packing guarantees that short range
repulsive interactions do not disrupt the simulations.
The great variety of types of spatial constraints that can be attributed to
the molecules, or atoms within the molecules, makes it easy to create ordered
systems, such as lamellar, spherical or tubular lipid layers.
The user must provide only the coordinates of one molecule of each type, the
number of molecules of each type and the spatial constraints that each type of
molecule must satisfy.
The package is compatible with input files of PDB, TINKER, XYZ and MOLDY
formats.

---
Hi all, this is my first package and I am seeking a sponsor.
I am not the maintener of the mainstream and I sent an email to him who agreed to push the rpm to Fedora.
In the spec file the configuration is not made by using the %configure from the autotools as the Configure file is not compatible with it. The compilation is only some fortran code and the mainstream maintener said the compilation flags are ok.
rpmlint says on the x86_64, i586 and sprms files :
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Susi Lehtola 2009-10-29 09:07:32 UTC
A few notes:

- You don't need to include AUTHORS and COPYING separately. Where did you get them, anyway?

- I wouldn't use -ffast-math, since then the results aren't reproducible (they depend on the machine type).

Comment 2 Cristian Ciupitu 2009-10-29 18:21:47 UTC
I agree with Jussi Lehtola regarding AUTHORS and COPYING. You should contact upstream about this, like I did http://code.google.com/p/django-app-plugins/issues/detail?id=13&can=1#c2 .

Comment 3 Fabien Archambault 2009-10-30 13:27:02 UTC
Hi,
thank you for those fast answers.
I am in touch with the upstream and I will suggest it.

- You don't need to include AUTHORS and COPYING separately. Where did you get
them, anyway?
I included them as in the archive there is no information about the authors or copyright information. For the authors, they are the scientific articles published for the software (see : http://code.google.com/p/packmol/). For the copying, I took the plain text file given in this link : http://www.gnu.org/licenses/gpl.html which is given in the googlecode page.

For the compilation flag, I will remove it.

I have a question concerning the packaging now. Do I have to modify the existing packmol-0-0.1.02Sep09.fc11.src.rpm or do I have do create a packmol-0-0.2.02Sep09.fc11.src.rpm ?

Thank you,
Fabien

Comment 4 Susi Lehtola 2009-10-30 13:33:21 UTC
(In reply to comment #3)
> I have a question concerning the packaging now. Do I have to modify the
> existing packmol-0-0.1.02Sep09.fc11.src.rpm or do I have do create a
> packmol-0-0.2.02Sep09.fc11.src.rpm ?

Update the release tag every time you make changes to the spec file and make a corresponding entry in the %changelog.

So yes, create a packmol-0-0.2.02Sep09.fc11.src.rpm.

Comment 5 Fabien Archambault 2009-10-30 15:32:48 UTC
I mailed the mainstream and he will change the package today.
The new name will be : packmol.1.0.9.246.tar.gz (so that it is a better version number without letters in it).
The files AUTHORS and COPYING will be inside the archives by default.

Also I asked for the compilation flag and he replied me:
Concerning the compilations flags, well, --ffast-math accelerates things,
and it is not really relevant for the packing results be reproducible. Since
I never had problems with that compilation flag, I would prefer to keep it.

I think we should keep it. As soon as possible I create the new version.

Comment 6 Fabien Archambault 2009-10-30 15:58:03 UTC
Hello again,

the new version is available.

Spec URL: ftp://dedimarbo.ath.cx/pub/repo/specs/packmol.spec
SRPM URL:
ftp://dedimarbo.ath.cx/pub/repo/srpms/packmol-1.0.9.303-2.fc11.src.rpm

rpmlint says (as before) on the x86_64, i586 and sprms files :
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

I hope it is ok. Thanks for your reviews.

Comment 7 Susi Lehtola 2009-10-30 16:01:01 UTC
(In reply to comment #5)
> Also I asked for the compilation flag and he replied me:
> Concerning the compilations flags, well, --ffast-math accelerates things,
> and it is not really relevant for the packing results be reproducible. Since
> I never had problems with that compilation flag, I would prefer to keep it.

Well, --fast-math makes debugging very hard, but if the author suggests using it then it might not be a problem. I wouldn't use it myself, though...

Comment 8 Fabien Archambault 2009-11-30 19:18:40 UTC
Hello,
sorry to do a little up on this Review.

Thanks in advance.

Comment 9 Susi Lehtola 2009-11-30 19:49:51 UTC
Well, I guess I am willing to sponsor you, even though I am a bit busy with work.  Do you have any other submissions? Please fill in your surname in bugzilla.

You should do a few informal reviews, so that I can see that you are familiar with the guidelines. An overview of the review process is available here:

http://fedoraproject.org/wiki/Package_Review_Process

Here are the most important guidelines:

http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

In addition to these, there are a bunch of language and application specific guidelines, that are linked to in the Packaging guidelines. Furthermore, you may need these

http://fedoraproject.org/wiki/Packaging_tricks
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
https://fedoraproject.org/wiki/Common_Rpmlint_issues


Please perform informal reviews only on _unassigned_ bugs that are *not* marked with the FE-NEEDSPONSOR tag, as I will need to do the formal review after you have done the informal one.


PS. Adjust your spec file to 80 character width. This is most important to do with the stuff that can be seen with
 $ rpm -qi packmol
i.e. the summary, description and changelog (which can be seen with rpm -q --changelog packmol). Are you sure you ran rpmlint on *all* of the packages? If you didn't run it on the srpm, you need to run it on the spec.

Comment 10 Fabien Archambault 2009-12-08 18:16:26 UTC
Hi,

sorry for my slow answer.
For the moment I have no other package to submit as I a trying to do the spec for mpqc but I have many errors and I am trying to understand all of them. If you can read French: http://forums.fedora-fr.org/viewtopic.php?id=44709

I filled my surname and changed the spec file in order to be in adequation with it.

Here are the rpmlint :
$ rpmlint packmol-1.0.9.303-3.fc12.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint packmol-1.0.9.303-3.fc12.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint packmol-debuginfo-1.0.9.303-3.fc12.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

I upped thos new files to :
ftp://dedimarbo.ath.cx/pub/repo/srpms/packmol-1.0.9.303-3.fc12.src.rpm
ftp://dedimarbo.ath.cx/pub/repo/rpms/x86_64/packmol-1.0.9.303-3.fc12.x86_64.rpm
ftp://dedimarbo.ath.cx/pub/repo/rpms/x86_64/packmol-debuginfo-1.0.9.303-3.fc12.x86_64.rpm

For the number of characters I have maximum 78 in one line I thought it was ok.

I am seeing for an informal review. Thank you.

Comment 11 Susi Lehtola 2009-12-08 18:50:41 UTC
(In reply to comment #10)
> Hi,
> 
> sorry for my slow answer.
> For the moment I have no other package to submit as I a trying to do the spec
> for mpqc but I have many errors and I am trying to understand all of them. If
> you can read French: http://forums.fedora-fr.org/viewtopic.php?id=44709

Yes I can, but mpqc has already been submitted at bug 542759.

Comment 12 Fabien Archambault 2009-12-08 19:30:15 UTC
When I started the packaging the bug was not submitted but I was not able to go further as I was lacking some information (about autotools and makefiles) that I acquired a few weeks ago.

Still looking for a package to review but even following the Guidelines is not that easy.

Comment 13 Jason Tibbitts 2010-11-05 18:59:11 UTC
Did anything ever happen here?  I'm guessing that Jussi isn't willing to sponsor unless he sees some other packaging-related effort, and Fabien never found anything he was interested in reviewing.  Which is unfortunate, because it would take less effort to comment on a couple of packages than it took to construct the package under consideration here.

Fabien, if you're still interested in submitting this package, please consider updating it to the latest version (seems to be 1.1.0.252) and we can talk about moving forward.

Comment 14 Fabien Archambault 2010-11-06 07:14:02 UTC
Hello,

I am really sorry for my very long delay and not responding or more precisely not doing some packaging-related effort. I tried many times to handle it but I am sure that, for the moment, I cannot handle packaging even if I read all the different Guidelines from Fedora.
In order to speed-up my formation I tried packaging some other rpms (like jabref) but never achieved by lack of time or error comprehension...

As you asked I pushed to the latest version as I was able to build it very easily:
Spec URL: ftp://dedimarbo.ath.cx/pub/repo/specs/packmol.spec
SRPM URL: ftp://dedimarbo.ath.cx/pub/repo/srpms/packmol-1.1.0.252-1.fc14.src.rpm
RPM x86_64: ftp://dedimarbo.ath.cx/pub/repo/rpms/x86_64/packmol-1.1.0.252-1.fc14.x86_64.rpm

rpmlint on the srpm:
$ rpmlint packmol-1.1.0.252-1.fc14.src.rpm
packmol.src: W: invalid-url Source0: http://packmol.googlecode.com/files/packmol-1.1.0.252.tar.gz HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

This warning I do not understand it as if I do a wget from this address the file exists. Is there special rules for googlecode hosted packages (I did not see anything at this page http://fedoraproject.org/wiki/Packaging/SourceURL)?

For the rpm:
$ rpmlint packmol-1.1.0.252-1.fc14.x86_64.rpm 
packmol.x86_64: W: no-manual-page-for-binary packmol
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

There is no manual pages created on the package so this warning seems normal.

Many thanks for taking care about this.

Comment 15 Jason Tibbitts 2010-11-19 14:03:52 UTC
Well, here's the question: if you don't believe you can handle packaging then what should be done with this review request?

Do you still want this package in the distribution?

Are you willing to put forth the effort required to get this package into shape and get it pushed through all of the various Fedora systems so that it can be part of the distribution?  (You'll have to learn at least a little git, plus our fedpkg tool, plus perhaps our build and updates system.)

Honestly I think that someone who still wants to pursue a package review after over a year deserves a chance, and I'm willing to help you, but we still need to ensure the stability of our distribution and so we do expect packagers to have a reasonable understanding of our packaging procedures.

Comment 16 Fabien Archambault 2010-11-19 14:33:15 UTC
Hello and thanks for your reply.

First thing: yes I would like to have this one day pushed into the packages available for all Fedora/CentOS users as this is a nice package that many researchers can use. Also it can avoid them to rewrite something from scratch as it is not a very known software...

Second thing: as you pinpointed and as I understand seeing the difficulties I have to package something, the time for me to be a Fedora packager is not for now...

Third thing: in my professional situation I am for the moment being trained on makefiles, Fortran, git, svn... So my progression curve in my capacity to handle packaging is improving day after day. For example, after your post I was looking into openrasmol review and I saw that I understood many discussions that I would have never understood one year ago! I will perhaps try to help this review as I can!
So in a personal way I really want to get involved into the Fedora project! But, I have to be realistic on packaging.

Fourth thing: if someone is willing to take this package and pull it to the repositories I think he can take the package I won't mind and would be very thankful!

Final thing: I do not know in which state this bug report can stay? If we close it until I have the sufficient knowledge or someone take my place? Or simply leave it die and one day I will recreate this topic again with the capacity to review packages?

Comment 17 Jason Tibbitts 2010-11-19 14:50:34 UTC
If you don't feel ready to pursue this ticket, you can simply close it and repoen if or simply open a new review ticket when you feel you wish to pursue it again.  Or if you really want it to stay open for some reason, we can mark it as being not ready (by putting "NotReady" in the Whiteboard field) so that it will drop out of the review queue.  Someone periodically pings on NotReady tickets, though, and they will get closed eventually if nobody responds.

You are always welcome to ask questions; it's simplest to come to IRC and ask in #fedora-devel, but we'll try to help you however we can.

Comment 18 Susi Lehtola 2011-09-27 13:13:38 UTC
Closing due to submitter inactivity.

*** This bug has been marked as a duplicate of bug 741626 ***


Note You need to log in before you can comment on or make changes to this bug.